# ----------------------------------------------------------------------------
# - Psymake Makefile
# ----------------------------------------------------------------------------

ASM		= asmpsx
CC		= ccpsx
LINK		= psylink

# ----------------------------------------------------------------------------

# Define to compile final version. If defined removes all pollhosts, set 2MB
# and ramsize. Else use pollhosts and 8MB for development. 
CCOPTS          = -Wall -comments-c++ -c -O2 -DFINAL
# CCOPTS          = -Wunused -comments-c++ -c -O2
ASMOPTS		= /l /c
LINKOPTS	= /m /g 

#
#ASMOPTIONS = /l /o c+,h+,at- /zd
#LINKOPTS   = /m /n999
# ----------------------------------------------------------------------------

OBJS            = main.obj control.obj memcard.obj

# ----------------------------------------------------------------------------

all: main.cpe
	
main.cpe: $(OBJS) main.lnk
	$(LINK) $(LINKOPTS) @main.lnk,main.cpe,main.sym,main.map

exe : main.cpe
	cpe2x main.cpe
        del psx.exe
        del browse.exe
        copy main.exe psx.exe
# ------------------------------------------------------------------------------

main.obj: main.c main.h
        $(CC) $(CCOPTS) main.c -omain.obj

control.obj: control.c control.h
        $(CC) $(CCOPTS) control.c -ocontrol.obj

memcard.obj: memcard.c memcard.h main.h
        $(CC) $(CCOPTS) memcard.c -omemcard.obj

# ----------------------------------------------------------------------------

clean:
	del *.exe
	del *.cpe
        del *.obj
	del *.sym

# ------------------------------------------------------------------------------
