;
;	SAVESEC.S
;

;=================================================================
; equ, import, export
;=================================================================
	
	EXPORT	vSaveSector

	CODE16
	AREA	SAVESECTOR, CODE, READONLY
;=================================================================
; routines
;=================================================================

; r0 = target address in flash (starting from 0x08000000 as sector 0)
; r1 = source address in ram
; function changes clock speed to 4MHz
; then saves to flash,
; then sets clock speed to 500kHz

vSaveSector
	;STMDB	sp!, {r0-r2, lr}
	PUSH {lr, r5}

	;set clock frequency to 4MHz
	MOV	r5, r0
	MOV	r0,#7
	SWI	4

	; write to flash
	MOV	r0, r5
	SWI	16

	; set clock fequency to 500kHz
	MOV	r0, #4
	SWI	4

	;LDMIA	sp!, {r0-r2, pc}
	POP	{ r5, pc }
	;POP { r3 }
	;MOV	lr, r3
	;BX lr

;=================================================================
; various data types (data in FlashROM)
;=================================================================

;-----------------------------------------------------------------
	END