//--------------------------------------------------------------------------
// File: main.h
// Author: George Bain
// Date: April 21, 1999
// Description: Prototypes
// Copyright (C) 1999 Sony Computer Entertainment Europe.,
//           All Rights Reserved.  
//--------------------------------------------------------------------------

#ifndef _MAIN_H
#define _MAIN_H

//--------------------------------------------------------------------------
// T Y P E D E F S
//--------------------------------------------------------------------------

typedef unsigned char u_char;
typedef unsigned long u_long;

typedef struct 
 {
   short x,y;
   short w,h;

 }RECT;

//--------------------------------------------------------------------------
// D E F I N E S
//--------------------------------------------------------------------------

#define DELAY (7000)
#define SCRN_SIZE (32)

#define setRECT(r, _x, _y, _w, _h) \
	(r)->x = (_x),(r)->y = (_y),(r)->w = (_w),(r)->h = (_h)

//--------------------------------------------------------------------------
// E X T E R N S
//--------------------------------------------------------------------------

extern u_long screen[SCRN_SIZE];

//--------------------------------------------------------------------------
// P R O T O T Y P E S
//--------------------------------------------------------------------------

#endif

//----------------------------------EOF-------------------------------------
