//--------------------------------------------------------------------------
// File: genlib.h
// Author: George Bain
// Date: April 21, 1999
// Description: Prototypes
// Copyright (C) 1999 Sony Computer Entertainment Europe.,
//           All Rights Reserved.  
//--------------------------------------------------------------------------

#ifndef _GENLIB_H
#define _GENLIB_H

//--------------------------------------------------------------------------
// P R O T O T Y P E S
//--------------------------------------------------------------------------

void gClearBackPlane( void );
void gUpdateScreen( void );
void gClearScreen( void );

void gPlotPixel( u_char x, u_char y );
void gPlotHorzLine( u_char x, u_char y, u_char width );
void gPlotVertLine( u_char x, u_char y, u_char height );
void gPlotRect( u_char x0, u_char y0, u_char x1, u_char y1 );
void gFillRect( u_char x0, u_char y0, u_char width, u_char height );
void gDrawSprite( short x, short y, short h, u_long *addr );

#endif

//----------------------------------EOF-------------------------------------
