//
//	KEYS.H
//
//	Header file for keyscan routines
//
//	Ver1.0
//

#define KEYEnter 	0x0001
#define KEYRight 	0x0002
#define KEYLeft		0x0004
#define	KEYDown		0x0008
#define KEYUp		0x0010

// Bitmap showing which keys were pressed during the last 1/32 second
extern unsigned short keys;

// Time the enter button has been held down in 1/32 seconds
extern int entertime;

void initkeys(void);
void stopkeys(void);
void startkeys(void);