//
//	MENU.C
//
//	{Continue,Exit} Menu, TRC compliant
//
//	Ver1.0
//

#include "keys.h"
#include "devi_reg.h"

const unsigned long continuedata[]={
	0xffffffff,0x8a8a2223,0xeaab6abb,0x8aab6abb,0xeaab6abb,0x88ab6a23,0xffffffff
};
const unsigned long exitdata[]={
	0x00000000,0x00755c00,0x00254400,0x00249c00,0x00254400,0x00255c00,0x00000000
};

void MenuSnd(unsigned long);
extern unsigned short volume;

unsigned char exitmenu(){
	unsigned long scrbuff[16];
	unsigned char count,option;
	unsigned long frequency;
	unsigned long *scrptr;
	unsigned long LCDControlBackup;

	stopkeys();
	*PIOClearOutputData=0x20;
	*DACControl=0x01;
	MenuSnd(volume);
	*DACControl=0x00;
	*PIOSetOutputData=0x20;
	frequency=*PMFrequency;
	*PMFrequency=option=0;

	LCDControlBackup=*LCDControl;
	*LCDControl=0x6e;
	for(count=0;count<16;count++){
		scrbuff[count]=BackPlane0[count+8];
		BackPlane0[count+8]=0;
	}
	for(count=0;count<7;count++){
		BackPlane0[count+8]=continuedata[count];
		BackPlane0[count+17]=exitdata[count];
	}
	startkeys();
	while(keys&KEYEnter);
	while(!(keys&KEYEnter)){
		if(((keys&KEYUp)&&(option))||((keys&KEYDown)&&(!option))){
			for(scrptr=BackPlane0+8;scrptr<BackPlane0+15;scrptr++){
				*scrptr=~*scrptr;
				scrptr[9]=~scrptr[9];
			}
			while(keys>=0x10);
			option=!option;
		}
	}
	while(keys&KEYEnter);
	for(count=0;count<16;count++){
		BackPlane0[count+8]=scrbuff[count];
	}
	stopkeys();
	*PMFrequency=frequency;
	*LCDControl=LCDControlBackup;
	startkeys();
	return option;
}
